public class Sample9_1 {
	private static final int STONE = 0;

	private static final int SCISSORS = 2;

	private static final int PAPER = 5;

	public static void main(String[] args) {
		int[] a = { STONE, PAPER, PAPER, STONE };
		int[] b = { SCISSORS, PAPER, SCISSORS, SCISSORS, PAPER, STONE };
		int[] c = { PAPER, STONE, SCISSORS, STONE, SCISSORS, PAPER, SCISSORS };

		int index = 0;
		boolean 同じ手を出していない = true;
		while (同じ手を出していない) {
			if (a[index % a.length] == b[index % b.length]
					&& b[index % b.length] == c[index % c.length]) {
				同じ手を出していない = false;
			} else {
				index++;
			}
		}
		System.out.println((index + 1) + "回目で全員が同じ手を出しました");
	}

}
